<?php
include_once(_DIR_TO_CLASS."/c_page.php");
class c_page_cab_enterprise_setting extends c_page
{
  public $h1='Предприятие - настройки' ;

 function block_main()
 { $this->page_title() ;
   //$this->panel_list_edit() ;
   $this->panel_check_personals() ;
 }

 function second_menu_config()
 { $this->second_menu['/cab/esmo_magnit/setting/']=array('title'=>'Настройка групп') ;
   $this->second_menu['/cab/esmo_magnit/setting/to/out/']=array('title'=>'Параметры ТО выезд') ;
   $this->second_menu['/cab/esmo_magnit/setting/to/in/']=array('title'=>'Параметры ТО въезд') ;
   $this->second_menu['/cab/esmo_magnit/setting/integration/']=array('title'=>'Интеграция - настройки') ;
   //$this->second_menu['/cab/esmo_magnit/setting/integration/HR/']=array('title'=>'Интеграция - настройки HR') ;
   $this->second_menu['/cab/esmo_magnit/setting/integration/tests/']=array('title'=>'Интеграция - проверки') ;
   $this->second_menu['/cab/esmo_magnit/setting/actions/']=array('title'=>'Операции') ;

 }

 function panel_list_edit()
 { include_once(_DIR_EXT.'/esmo_magnit/report_groups_edit.php') ;
   $report_obj=new report_groups_edit() ;
   $report_obj->no_view_title=1 ;
   $report_obj->setting() ;
   $report_obj->view_as_HTML() ;
 }

 function panel_check_personals()
 {
 	$count_persons=execSQL_value('select count(t1.pkey) 
				   		  from obj_site_personals t1
                   		  where t1.clss=211
						 ')  ;
 	echo 'Персон в базе ЭСМО: <strong>'.$count_persons.'</strong><br>' ;
 	$count_SO=execSQL_value('select count(t1.pkey) 
				   		  	from obj_site_personals t1
                   		  	left join obj_site_workers t2 on t2.personal_id=t1.pkey 
                   		  	where t1.clss=211 and t2.pkey>0
						 ')  ;
	 echo 'Cотрудников организаций в базе ЭСМО: <strong>'.$count_SO.'</strong><br>' ;
	 if ($count_persons>$count_SO)
	 {?><div class="alert">Внимание! Для корректной работы модуля "Предприятие" требуется синхронизация списка сотрудников организаций со списком персон.</div>
		 Данная операция не изменит текущие данные по сотрудникам, а добавит новую сущность "Сотрудник организации" на основании текущих данных по организации/подразделению/должности в карточке сотрудника (персоны)<br><br>
		 <button class="v1" cmd="sync_workers_by_persons">Выполнить синхронизацию</button>
	 <?}
 }

 function CMD_sync_workers_by_persons()
 {
 	?><h2>Выполняем синхронизацию СО и персон</h2><?
	 $recs=execSQL('select t1.* 
						  from obj_site_personals t1
	                   	  left join obj_site_workers t2 on t2.personal_id=t1.pkey 
	                   	  where t1.clss=211 and t2.pkey is null
						')  ;
	 if (_sizeof($recs)) foreach($recs as $rec)
		 multiSQL_insert('obj_site_workers')->append(array('clss'=>212,
				                                           'enabled'=>$rec['enabled'],
				                                           'parent'=>$rec['parent'],
				                                           'c_data'=>$rec['c_data'],
                                                           'r_data'=>$rec['c_data'],
				                                           'uid'=>($rec['uid'])? $rec['uid']:$rec['pkey'],
				                                           'personal_id'=>$rec['pkey'],
				                                           'work_id'=>$rec['working'],
														   'is_main'=>1,
													       'is_second'=>0,
													       'job_data'=>$rec['c_data'],
													       'fired_data'=>$rec['fired_data'],
													       'fired_data_pause'=>$rec['fired_data_pause'],
                                                           'parent1'=>$rec['parent1'],
                                                           'parent2'=>$rec['parent2'],
                                                           'parent3'=>$rec['parent3'],
                                                           'parent4'=>$rec['parent4'],
                                                           'parent5'=>$rec['parent5'],
                                                           'parent6'=>$rec['parent6'],
                                                           'parent7'=>$rec['parent7'],
                                                           'parent8'=>$rec['parent8'],
                                                           'parent9'=>$rec['parent9'],
                                                           )) ;
         multiSQL_insert('obj_site_workers')->flush() ;


 }


}



?>
